Bug 119756 - New port: databases/sqldeveloper Graphical tool for database development
Summary: New port: databases/sqldeveloper Graphical tool for database development
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-17 20:30 UTC by Jose G. Juanino
Modified: 2008-04-05 21:42 UTC (History)
0 users

See Also:


Attachments
file.shar (19.75 KB, text/plain)
2008-01-17 20:30 UTC, Jose G. Juanino
no flags Details
sqldeveloper.shar (20.65 KB, application/x-shar)
2008-04-05 12:20 UTC, Jose G. Juanino
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose G. Juanino 2008-01-17 20:30:01 UTC

Fix: Patch attached with submission follows:
Comment 1 Thierry Thomas freebsd_committer 2008-04-05 11:07:40 UTC
On Sat  5 apr 08 at 10:55:29 +0200, Jose Garcia Juanino <jjuanino@gmail.com>
 wrote:

> Hi Thierry,

Hello,

> thanks a lot for take care of this problem report. Sorry if my english
> is not very clear...

Don't worry, mine is not that good ;-)

> > 1) we cannot install shell scripts with '/bin/bash' in the shebang; you
> > should either add a run-dependency on shells/bash and replace /bin/bash
> > by ${LOCALBASE}/bin/bash, or (better!) replace /bin/bash by /bin/sh and
> > remove bashisms - if any.
> 
> There is a such "shebang" in the script
> 
> /usr/local/share/java/sqldeveloper/sqldeveloper/bin/sqldeveloper
> 
> but it is a commented line, as this script is not directly invocated.
> Instead, it is launched by /usr/local/bin/sqldeveloper with a sh
> interpreter. However, for clarity, we will include it in list of
> 
> @${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|' \
> 
> (do-install target of Makefile).

OK, thanks. There is another one in ide/bin/launcher.sh.

> > 2) Run error:
> > 
> > Launching sqldeveloper opens a splash screen, and stops.
> 
> Please take a look at 
> 
> http://lists.freebsd.org/pipermail/freebsd-ports/2008-January/046416.html
> 
> Answer "No" to the question "Would you like to migrate settings from a
> previous release?"
> 
> (remove $HOME/.sqldeveloper first)

OK, I did'nt remarked this pop-up window behind the splash screen! You
should warn the user in the pkg-message.

> > The displayed
> > messages are:
> > 
> > [ ....... ]
> > 
> > Running as root:
> > touch /usr/local/share/java/classes/packages.txt
> > makes it work:
> > 
> > [ ....... ]
> > 
> > I don't know if this packages.txt should have been installed by the JRE,
> > but in order to install a running port, you should test on post-install
> > if it exists, else install a minimal ${JAVAJARDIR}/packages.txt.
> 
> That packages.txt file is not neccesary to run sqldeveloper. These
> messages are annoying but harmless. Do you think is a good idea to
> install such empty file in a common area as ${JAVAJARDIR} is? I am
> worried if such file breaks some other software located in
> ${JAVAJARDIR}... But, you are the expert. I you think so, I will include
> it.

No, don't install it, it was my misunderstanding: I thought that the
initial freeze was caused by this error.

Regards,
-- 
Th. Thomas.
Comment 2 Jose G. Juanino 2008-04-05 12:20:58 UTC
El sábado 05 de abril a las 12:07:40 CEST, Thierry Thomas escribió:
> On Sat  5 apr 08 at 10:55:29 +0200, Jose Garcia Juanino <jjuanino@gmail.com>
> > > should either add a run-dependency on shells/bash and replace /bin/bash
> > > by ${LOCALBASE}/bin/bash, or (better!) replace /bin/bash by /bin/sh and
> > > remove bashisms - if any.
> > 
> > There is a such "shebang" in the script
> > 
> > /usr/local/share/java/sqldeveloper/sqldeveloper/bin/sqldeveloper
> > 
> > but it is a commented line, as this script is not directly invocated.
> > Instead, it is launched by /usr/local/bin/sqldeveloper with a sh
> > interpreter. However, for clarity, we will include it in list of
> > 
> > @${REINPLACE_CMD} -e 's|/bin/bash|/bin/sh|' \
> > 
> > (do-install target of Makefile).
> 
> OK, thanks. There is another one in ide/bin/launcher.sh.

OK, also I will change ide/bin/product-launcher.template. 

> > > 2) Run error:
> > > 
> > > Launching sqldeveloper opens a splash screen, and stops.
> > 
> > Please take a look at 
> > 
> > http://lists.freebsd.org/pipermail/freebsd-ports/2008-January/046416.html
> > 
> > Answer "No" to the question "Would you like to migrate settings from a
> > previous release?"
> > 
> > (remove $HOME/.sqldeveloper first)
> 
> OK, I did'nt remarked this pop-up window behind the splash screen! You
> should warn the user in the pkg-message.

OK.

I attach again the port.

Best regards
Comment 3 dfilter service freebsd_committer 2008-04-05 21:26:35 UTC
thierry     2008-04-05 20:26:22 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/sqldeveloper Makefile distinfo pkg-descr pkg-plist 
    databases/sqldeveloper/files patch-ide_bin_launcher.sh 
                                 patch-sqlcli 
                                 patch-sqldeveloper.sh 
                                 patch-sqldeveloper_bin_sqldeveloper 
                                 pkg-message.in 
  Log:
  Oracle SQL Developer is a free graphical tool for database development. With
  SQL Developer, you can browse database objects, run SQL statements and SQL
  scripts, and edit and debug PL/SQL statements. You can also run any number of
  provided reports, as well as create and save your own. SQL Developer enhances
  productivity and simplifies your database development tasks.
  
  SQL Developer can connect to any Oracle Database version >= 9.2.0.1 and MySQL
  database version >= 3.0.
  
  WWW: http://www.oracle.com/technology/software/products/sql/index.html
  
  PR:             ports/119756
  Submitted by:   José García Juanino <jjuanino at gmail.com>
  
  Revision  Changes    Path
  1.672     +1 -0      ports/databases/Makefile
  1.1       +88 -0     ports/databases/sqldeveloper/Makefile (new)
  1.1       +3 -0      ports/databases/sqldeveloper/distinfo (new)
  1.1       +62 -0     ports/databases/sqldeveloper/files/patch-ide_bin_launcher.sh (new)
  1.1       +30 -0     ports/databases/sqldeveloper/files/patch-sqlcli (new)
  1.1       +6 -0      ports/databases/sqldeveloper/files/patch-sqldeveloper.sh (new)
  1.1       +22 -0     ports/databases/sqldeveloper/files/patch-sqldeveloper_bin_sqldeveloper (new)
  1.1       +28 -0     ports/databases/sqldeveloper/files/pkg-message.in (new)
  1.1       +10 -0     ports/databases/sqldeveloper/pkg-descr (new)
  1.1       +199 -0    ports/databases/sqldeveloper/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2008-04-05 21:31:06 UTC
thierry     2008-04-05 20:30:55 UTC

  FreeBSD ports repository

  Modified files:
    .                    LEGAL 
  Log:
  Add an entry for databases/sqldeveloper.
  
  PR:             ports/119756
  Submitted by:   José García Juanino <jjuanino (at) gmail com>
  
  Revision  Changes    Path
  1.577     +6 -4      ports/LEGAL
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Thierry Thomas freebsd_committer 2014-06-01 06:43:34 UTC
State Changed
From-To: open->feedback


Thanks for this PR, but I have two remarks: 

1) we cannot install shell scripts with '/bin/bash' in the shebang; you 
should either add a run-dependency on shells/bash and replace /bin/bash 
by ${LOCALBASE}/bin/bash, or (better!) replace /bin/bash by /bin/sh and 
remove bashisms - if any. 

2) Run error: 

Launching sqldeveloper opens a splash screen, and stops. The displayed 
messages are: 

Oracle SQL Developer 
Copyright (c) 2006, 2007, Oracle. All rights reserved. 

Using oracle.home=/usr/local/share/java/sqldeveloper 
Using ide.user.dir=/home/thierry/.sqldeveloper 
java.io.FileNotFoundException: 
/usr/local/share/java/classes/packages.txt (Permission denied) 
at java.io.FileOutputStream.open(Native Method) 
at java.io.FileOutputStream.<init>(FileOutputStream.java:179) 
at java.io.FileOutputStream.<init>(FileOutputStream.java:131) 
at java.io.PrintWriter.<init>(PrintWriter.java:212) 
at 
oracle.ide.boot.PCLMain.generatePackagesTxtIfMissing(PCLMain.java:318) 
at 
oracle.ide.boot.PCLMain.createExtensionManagerLoader(PCLMain.java:94) 
at oracle.ide.boot.PCLMain.main(PCLMain.java:36) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 
at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 
at java.lang.reflect.Method.invoke(Method.java:585) 
at oracle.classloader.util.MainClass.invoke(MainClass.java:89) 
at 
oracle.ide.boot.IdeLauncher.bootClassLoadersAndMain(IdeLauncher.java:218) 
at oracle.ide.boot.IdeLauncher.launchImpl(IdeLauncher.java:90) 
at oracle.ide.boot.IdeLauncher.launch(IdeLauncher.java:66) 
at oracle.ide.boot.IdeLauncher.main(IdeLauncher.java:55) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39) 
at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25) 
at java.lang.reflect.Method.invoke(Method.java:585) 
at oracle.ide.boot.Launcher.invokeMain(Launcher.java:508) 
at oracle.ide.boot.Launcher.launchImpl(Launcher.java:106) 
at oracle.ide.boot.Launcher.launch(Launcher.java:60) 
at oracle.ide.boot.Launcher.main(Launcher.java:49) 

Running as root: 
touch /usr/local/share/java/classes/packages.txt 
makes it work: 

Oracle SQL Developer 
Copyright (c) 2006, 2007, Oracle. All rights reserved. 

Using oracle.home=/usr/local/share/java/sqldeveloper 
Using ide.user.dir=/home/thierry/.sqldeveloper 
Addin: Translator PlSql is trying to register a input type (.plsql) 
which conflicts with translator PlSql who already using this input type 
reloadBuffers(): 49 nodes checked in 3.95301E-4 second(s) 

I don't know if this packages.txt should have been installed by the JRE, 
but in order to install a running port, you should test on post-install 
if it exists, else install a minimal ${JAVAJARDIR}/packages.txt. 

Best regards, 
--  
Th. Thomas. 


Comment 6 Thierry Thomas freebsd_committer 2014-06-01 06:43:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 7 Thierry Thomas freebsd_committer 2014-06-01 06:43:34 UTC
State Changed
From-To: feedback->closed


New port added! Thanks for your patience.